Index: /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1296)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1297)
@@ -4,9 +4,9 @@
 ioipsl:
 #-Q- sx8brodie	(cd ../../modeles/IOIPSL/src; sxgmake;)
-#-Q- aix	(cd ../../modeles/IOIPSL/src; gmake;)
+#-Q- aix6	(cd ../../modeles/IOIPSL/src; gmake;)
 #-Q- osxxlf	(cd ../../modeles/IOIPSL/src; gmake;)
 
 $(filter-out mpi omp, $(RUN)): omp
-#-Q- aix	../../util/ins_make -t ax_mono -w $(NEMOLIB)/WORK
+#-Q- aix6	../../util/ins_make -t ax6_mono -w $(NEMOLIB)/WORK
 	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
 	gmake -C WORK COMP=$@ >> $(NEMOLIB)_logbook_$@.txt
@@ -23,8 +23,8 @@
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
-#-Q- aix	cp ../NVTK/INSTALL/JOBS/jhd_ax_mono_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_ax_mono_mon
-#-Q- aix	cp ../NVTK/INSTALL/JOBS/CPU_time_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix.ksh
-#-Q- aix	cp ../NVTK/INSTALL/JOBS/MEM_size_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix.ksh
-#-Q- aix	cp ../NVTK/INSTALL/JOBS/BIO_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix.ksh
+#-Q- aix6	cp ../NVTK/INSTALL/JOBS/jhd_ax6_mono_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_ax6_mono_mon
+#-Q- aix6	cp ../NVTK/INSTALL/JOBS/CPU_time_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix6.ksh
+#-Q- aix6	cp ../NVTK/INSTALL/JOBS/MEM_size_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix6.ksh
+#-Q- aix6	cp ../NVTK/INSTALL/JOBS/BIO_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix6.ksh
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/jhd_osxxlf_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mon
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
@@ -59,5 +59,5 @@
 mpi: memo
 ifeq ($(filter mpi,$(RUN)),mpi)
-#-Q- aix	../../util/ins_make -t aix -w $(NEMOLIB)/WORK
+#-Q- aix6	../../util/ins_make -t aix6 -w $(NEMOLIB)/WORK
 	cp ./MY_SRC/par_oce.F90_keep ./MY_SRC/par_oce.F90 
 	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
@@ -76,8 +76,8 @@
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
-#-Q- aix	cp ../NVTK/INSTALL/JOBS/jhd_aix_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_aix_mpi
-#-Q- aix	cp ../NVTK/INSTALL/JOBS/CPU_time_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix.ksh
-#-Q- aix	cp ../NVTK/INSTALL/JOBS/MEM_size_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix.ksh
-#-Q- aix	cp ../NVTK/INSTALL/JOBS/BIO_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix.ksh
+#-Q- aix6	cp ../NVTK/INSTALL/JOBS/jhd_aix6_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_aix6_mpi
+#-Q- aix6	cp ../NVTK/INSTALL/JOBS/CPU_time_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix6.ksh
+#-Q- aix6	cp ../NVTK/INSTALL/JOBS/MEM_size_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix6.ksh
+#-Q- aix6	cp ../NVTK/INSTALL/JOBS/BIO_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix6.ksh
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/jhd_osxxlf_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mpi
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
@@ -95,5 +95,5 @@
 
 memo:
-#-Q- aix	../../util/ins_make -t ax_mono -w $(NEMOLIB)/WORK
+#-Q- aix6	../../util/ins_make -t ax6_mono -w $(NEMOLIB)/WORK
 ifeq ($(MKMO),memo)
 	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE	(revision 1296)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE	(revision 1297)
@@ -44,6 +44,6 @@
 #-Q- g95    prefix = -D
 #-Q- gfortran  prefix = -D
-#-Q- aix    prefix = -WF,-D
-#-Q- ax_mono    prefix = -WF,-D
+#-Q- aix6    prefix = -WF,-D
+#-Q- ax6_mono    prefix = -WF,-D
 #-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER	(revision 1296)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER	(revision 1297)
@@ -44,6 +44,6 @@
 #-Q- g95    prefix = -D
 #-Q- gfortran  prefix = -D
-#-Q- aix    prefix = -WF,-D
-#-Q- ax_mono    prefix = -WF,-D
+#-Q- aix6    prefix = -WF,-D
+#-Q- ax6_mono    prefix = -WF,-D
 #-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM	(revision 1296)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM	(revision 1297)
@@ -44,6 +44,6 @@
 #-Q- g95    prefix = -D
 #-Q- gfortran  prefix = -D
-#-Q- aix    prefix = -WF,-D
-#-Q- ax_mono    prefix = -WF,-D
+#-Q- aix6    prefix = -WF,-D
+#-Q- ax6_mono    prefix = -WF,-D
 #-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
Index: /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF
===================================================================
--- /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF	(revision 1296)
+++ /trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF	(revision 1297)
@@ -44,6 +44,6 @@
 #-Q- g95    prefix = -D
 #-Q- gfortran  prefix = -D
-#-Q- aix    prefix = -WF,-D
-#-Q- ax_mono    prefix = -WF,-D
+#-Q- aix6    prefix = -WF,-D
+#-Q- ax6_mono    prefix = -WF,-D
 #-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
Index: unk/NVTK/INSTALL/JOBS/BIO_aix.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/BIO_aix.ksh	(revision 1296)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#!/bin/ksh
-# $Id$
-##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
-#
-# It is called by the assessment.ksh script for a 
-# given configuration 
-#
-# INPUT ARGS: 2
-#     - zfile1 : first tracer statistic file to output
-#     - zfile2 : second tracer statistic file to output
-#
-# WORK: It aims to :
-#
-#      - Extract tracers statistics from ocean.output 
-#        for mon, mpi & omp runs
-#
-##############################################################
-#set -xv
-##############################################################
-
-# Initialization
-zfile1=
-zfile2=
-
-# Get arguments
-while getopts a:b:c: opt
-do
-  case "$opt" in
-    a) zfile1="$OPTARG";;
-    b) zfile2="$OPTARG";;
-    c) zfile3="$OPTARG";;
-  esac
-done
-
-zfile[0]=${zfile1}
-zfile[1]=${zfile2}
-zfilein=${zfile3}
-
-ind=0
-
-while [ ${ind} -le 1 ] ; do
-
-       zpath=$( ( dirname ${zfile[${ind}]} ) )
-
-       awk '/----TRACER STAT----/ { print $0 }' ${zpath}/${zfilein} > ${zfile[${ind}]}
-       awk '/MEAN NO   1  DET/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   2  ZOO/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   3  PHY/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   4  NO3/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   5  NH4/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-       awk '/MEAN NO   6  DOM/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
-
-       let ind=${ind}+1
-done
Index: /trunk/NVTK/INSTALL/JOBS/BIO_aix6.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/BIO_aix6.ksh	(revision 1297)
+++ /trunk/NVTK/INSTALL/JOBS/BIO_aix6.ksh	(revision 1297)
@@ -0,0 +1,56 @@
+#!/bin/ksh
+# $Id$
+##############################################################
+# Original : C. Talandier for ESOPA
+# Contact  : opatlod@locean-ipsl.upmc.fr
+#
+# It is called by the assessment.ksh script for a 
+# given configuration 
+#
+# INPUT ARGS: 2
+#     - zfile1 : first tracer statistic file to output
+#     - zfile2 : second tracer statistic file to output
+#
+# WORK: It aims to :
+#
+#      - Extract tracers statistics from ocean.output 
+#        for mon, mpi & omp runs
+#
+##############################################################
+#set -xv
+##############################################################
+
+# Initialization
+zfile1=
+zfile2=
+
+# Get arguments
+while getopts a:b:c: opt
+do
+  case "$opt" in
+    a) zfile1="$OPTARG";;
+    b) zfile2="$OPTARG";;
+    c) zfile3="$OPTARG";;
+  esac
+done
+
+zfile[0]=${zfile1}
+zfile[1]=${zfile2}
+zfilein=${zfile3}
+
+ind=0
+
+while [ ${ind} -le 1 ] ; do
+
+       zpath=$( ( dirname ${zfile[${ind}]} ) )
+
+       awk '/----TRACER STAT----/ { print $0 }' ${zpath}/${zfilein} > ${zfile[${ind}]}
+       awk '/MEAN NO   1  DET/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   2  ZOO/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   3  PHY/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   4  NO3/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   5  NH4/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+       awk '/MEAN NO   6  DOM/ { print $3, $4, $7, $8, $9, $10, $11, $12 }' ${zpath}/${zfilein} >> ${zfile[${ind}]}
+
+       let ind=${ind}+1
+done
Index: unk/NVTK/INSTALL/JOBS/CPU_time_aix.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/CPU_time_aix.ksh	(revision 1296)
+++ 	(revision )
@@ -1,174 +1,0 @@
-#!/bin/ksh
-# $Id$
-##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
-#
-# It is called by the assessment.ksh script for a 
-# given configuration 
-#
-# INPUT ARGS: 6
-#     - zrunt  : run type to treat
-#     - zfile1 : mon run timing input file name
-#     - zfile2 : mpi run timing input file name
-#     - zconf  : configuration name
-#     - zout   : output file name
-#     - ztag   : tag name to which are compared files
-#     - zxis   : (0/1) reference timing files (do/do not) exist
-#
-# WORK: It aims to :
-#
-#      - Treat output timing from the aix target for 
-#        mon & mpi run 
-#     *- compare it to a reference version 
-#
-# * this step is performed only if a reference tag 
-#   is specified with the -t option and if files exist.
-#   See the Makefile under ./config/NVTK directory
-#
-##############################################################
-#set -xv
-##############################################################
-
-# Get the name of the present script
-nscript=$( (basename $0) )
-
-#
-# help_CPU_time() To print help
-#
-function help_CPU_time
-{
-  echo "Usage: $nscript [-r] [-a] [-b] [-c] [-o] [-t] [-x]"
-  echo "Options: These are optional argument"
-  echo " -r : run type to treat"
-  echo " -a : current version timing input file name"
-  echo " -b : reference version timing input file name"
-  echo " -c : configuration name"
-  echo " -o : output file name"
-  echo " -t : tag name to which are compared files"
-  echo " -x : (0/1) reference timing files (do/do not) exist"
-  echo " their values are not taken)"
-  exit 1
-}
-
-# Initialization
-zrunt=
-zfile1=
-zfile2=
-zconf=
-zout=
-ztag=
-zxis=1
-
-# Get arguments
-while getopts r:a:b:c:o:t:x: opt
-do
-  case "$opt" in
-    r) zrunt="$OPTARG";;
-    a) zfile1="$OPTARG";;
-    b) zfile2="$OPTARG";;
-    c) zconf="$OPTARG";;
-    o) zout="$OPTARG";;
-    t) ztag="$OPTARG";;
-    x) zxis="$OPTARG";;
-    *) help_CPU_time;;
-  esac
-done
-
-# Check if results must be compare to the reference version
-test -n "${ztag}"
-evaltag=$?
-
-case "${zrunt}" in
-
-     'mon' )
-
-           # OUTPUT TIMING OF THE MON RUN
-           ##############################
-           
-           if [ ${evaltag} -a ${zxis} == 0 ] ; then
-               # Get values from the reference tag
-               zreal=$( (awk '/wall clock time/           {print $6}' ${zfile2} ) )
-               zuser=$( (awk '/Total amount of time in u/ {print $9}' ${zfile2} ) )
-               zmemo=$( (awk '/Maximum resident set size/ {print $6/1024}' ${zfile2} ) )
-               zuzra=$( (awk '/Utilization rate/          {print $4}' ${zfile2} ) )
-               zcoin=$( (awk '/Computation intensity/     {print $4}' ${zfile2} ) )
-               # Print: Variable long name | current version values | reference version values | variations
-               echo "                                                 Current version     ${ztag} version       Variation " >> ${zout}
-               echo "                                                                 " >> ${zout}
-               awk '/wall clock time/            { creal=$6      ; printf("%-6s %.33s %8s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "(sec) :"    , $6  , invar, ((creal-invar)/invar)*100 ) }' invar=${zreal} ${zfile1} >> ${zout}
-               awk '/Total amount of time in u/  { cuser=$9      ; printf("%-6s %.34s %7s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "(sec) :"    , $9  , invar, ((cuser-invar)/invar)*100 ) }' invar=${zuser} ${zfile1} >> ${zout}
-               awk '/Maximum resident set size/  { cmflo=$6/1024 ; printf("%-6s %.26s %15s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "(Mo) :"     ,cmflo, invar, ((cmflo-invar)/invar)*100 ) }' invar=${zmemo} ${zfile1} >> ${zout}
-               awk '/Utilization rate/           { cuzra=$4      ; printf("%-5s %.24s %18s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "~100% (%) :", $4  , invar, ((cuzra-invar)/invar)*100 ) }' invar=${zuzra} ${zfile1} >> ${zout}
-               awk '/Computation intensity/      { ccoin=$4      ; printf("%-5s %.23s %19s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "> 1  :"     , $4  , invar, ((ccoin-invar)/invar)*100 ) }' invar=${zcoin} ${zfile1} >> ${zout} 
-           else
-               # Print: Variable long name | current version values
-               echo "                                                 Current version " >> ${zout}
-               echo "                                                                 " >> ${zout}
-               awk '/wall clock time/            {printf("%-6s %.33s %8s %9.2f \n", " ", $0, "(sec) :"    , $6      ) }' ${zfile1} >> ${zout}
-               awk '/Total amount of time in u/  {printf("%-6s %.34s %7s %9.2f \n", " ", $0, "(sec) :"    , $9      ) }' ${zfile1} >> ${zout}
-               awk '/Maximum resident set size/  {printf("%-6s %.26s %15s %9.2f \n", " ", $0, "(Mo) :"     , $6/1024) }' ${zfile1} >> ${zout}
-               awk '/Utilization rate/           {printf("%-5s %.24s %18s %9.2f \n", " ", $0, "~100% (%) :", $4     ) }' ${zfile1} >> ${zout}
-               awk '/Computation intensity/      {printf("%-5s %.23s %19s %9.2f \n", " ", $0, "> 1  :"     , $4     ) }' ${zfile1} >> ${zout} 
-           fi 
-
-           ;;
-
-     'mpi' )
-           
-           # OUTPUT TIMING OF THE MPI RUN
-           ##############################
-           
-           if [ ${evaltag} -a ${zxis} == 0 ] ; then
-               # Get values from the reference tag
-               awk '/wall clock time/           {print}' ${zfile2} > temp1
-               awk '/Maximum resident set size/ {print}' ${zfile2} > temp2
-               awk '/Utilization rate/          {print}' ${zfile2} > temp3
-               awk '/Computation intensity/     {print}' ${zfile2} > temp4 
-           
-               zreal=$( (awk '/wall clock time/           {cum += $6} END {printf("%f", cum/NR) }'        temp1 ) )
-               zuser=$( (awk '/Total amount of time in u/ {cum += $9} END {printf("%f", cum )   }'        ${zfile2}) )
-               zmemo=$( (awk '/Maximum resident set size/ {cum += $6} END {printf("%f", cum/(1024*NR)) }' temp2 ) )
-               zuzra=$( (awk '/Utilization rate/          {cum += $4} END {printf("%f", cum/NR) }'        temp3 ) )
-               zcoin=$( (awk '/Computation intensity/     {cum += $4} END {printf("%f", cum/NR) }'        temp4 ) )
-           
-               # Get values from the current version
-               awk '/wall clock time/           {print}' ${zfile1} > temp1
-               awk '/Maximum resident set size/ {print}' ${zfile1} > temp2
-               awk '/Utilization rate/          {print}' ${zfile1} > temp3
-               awk '/Computation intensity/     {print}' ${zfile1} > temp4 
-           
-               echo "                                                 Current version     ${ztag} version       Variation " >> ${zout}
-               echo "                                                                                                     " >> ${zout}
-               awk '/wall clock time/           {cum += $6} END {printf("%-7s %-39s %1s %11.2f    |     %12.2f   |     %7.2f %\n" , " ", "Execution time (wall clock time)  (sec)", ":", cum/NR       , invar, ((cum/NR-invar)/invar)*100  ) }' invar=${zreal} temp1     >> ${zout}
-               awk '/Total amount of time in u/ {cum += $9} END {printf("%-7s %-39s %1s %11.2f    |     %12.2f   |     %7.2f %\n" , " ", "Total amount of time in user mode (sec)", ":", cum          , invar, ((cum-invar)/invar)*100  ) }'    invar=${zuser} ${zfile1} >> ${zout}
-               awk '/Maximum resident set size/ {cum += $6} END {printf("%-7s %-25s %15s %12.2f   |     %12.2f   |     %7.2f %\n", " ", "Maximum resident set size", "(Mo)  :"        , cum/(1024*NR), invar, ((cum/(1024*NR)-invar)/invar)*100  ) }'  invar=${zmemo} temp2     >> ${zout}
-               awk '/Utilization rate/          {cum += $4} END {printf("%-7s %-16s %24s %12.2f   |     %12.2f   |     %7.2f %\n", " ", "Utilization rate", "(%)   :"                 , cum/NR       , invar, ((cum/NR-invar)/invar)*100  ) }' invar=${zuzra} temp3     >> ${zout}
-               awk '/Computation intensity/     {cum += $4} END {printf("%-7s %-21s %19s %12.2f   |     %12.2f   |     %7.2f %\n", " ", "Computation intensity", ":"                  , cum/NR       , invar, ((cum/NR-invar)/invar)*100  ) }' invar=${zcoin} temp4     >> ${zout}
-           
-               echo "                                                                                                     " >> ${zout}
-           
-               \rm temp*
-           
-           else
-               # Get values from the current version
-               awk '/wall clock time/           {print}' ${zfile1} > temp1
-               awk '/Maximum resident set size/ {print}' ${zfile1} > temp2
-               awk '/Utilization rate/          {print}' ${zfile1} > temp3
-               awk '/Computation intensity/     {print}' ${zfile1} > temp4 
-           
-               echo "                                                 Current version " >> ${zout}
-               echo "                                                                 " >> ${zout}
-               awk '/wall clock time/           {cum += $6} END {printf("%-7s %-39s %1s %9.2f\n" , " ", "Execution time (wall clock time)  (sec)", ":", cum/NR ) }' temp1     >> ${zout}
-               awk '/Total amount of time in u/ {cum += $9} END {printf("%-7s %-39s %1s %9.2f\n" , " ", "Total amount of time in user mode (sec)", ":", cum ) }'    ${zfile1} >> ${zout}
-               awk '/Maximum resident set size/ {cum += $6} END {printf("%-7s %-25s %15s %9.2f\n", " ", "Maximum resident set size", "(Mo)  :", cum/(1024*NR) ) }'  temp2     >> ${zout}
-               awk '/Utilization rate/          {cum += $4} END {printf("%-7s %-16s %24s %9.2f\n", " ", "Utilization rate", "(%)   :", cum/NR ) }'                  temp3     >> ${zout}
-               awk '/Computation intensity/     {cum += $4} END {printf("%-7s %-21s %19s %9.2f\n", " ", "Computation intensity", ":", cum/NR ) }'                   temp4     >> ${zout}
-           
-               echo "                                                                                                     " >> ${zout}
-           
-               \rm temp*
-           fi
-
-           ;;
-esac
Index: /trunk/NVTK/INSTALL/JOBS/CPU_time_aix6.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/CPU_time_aix6.ksh	(revision 1297)
+++ /trunk/NVTK/INSTALL/JOBS/CPU_time_aix6.ksh	(revision 1297)
@@ -0,0 +1,165 @@
+#!/bin/ksh
+# $Id$
+##############################################################
+# Original : C. Talandier for ESOPA
+# Contact  : opatlod@locean-ipsl.upmc.fr
+#
+# It is called by the assessment.ksh script for a 
+# given configuration 
+#
+# INPUT ARGS: 6
+#     - zrunt  : run type to treat
+#     - zfile1 : mon run timing input file name
+#     - zfile2 : mpi run timing input file name
+#     - zconf  : configuration name
+#     - zout   : output file name
+#     - ztag   : tag name to which are compared files
+#     - zxis   : (0/1) reference timing files (do/do not) exist
+#
+# WORK: It aims to :
+#
+#      - Treat output timing from the aix target for 
+#        mon & mpi run 
+#     *- compare it to a reference version 
+#
+# * this step is performed only if a reference tag 
+#   is specified with the -t option and if files exist.
+#   See the Makefile under ./config/NVTK directory
+#
+##############################################################
+#set -xv
+##############################################################
+
+# Get the name of the present script
+nscript=$( (basename $0) )
+
+#
+# help_CPU_time() To print help
+#
+function help_CPU_time
+{
+  echo "Usage: $nscript [-r] [-a] [-b] [-c] [-o] [-t] [-x]"
+  echo "Options: These are optional argument"
+  echo " -r : run type to treat"
+  echo " -a : current version timing input file name"
+  echo " -b : reference version timing input file name"
+  echo " -c : configuration name"
+  echo " -o : output file name"
+  echo " -t : tag name to which are compared files"
+  echo " -x : (0/1) reference timing files (do/do not) exist"
+  echo " their values are not taken)"
+  exit 1
+}
+
+# Initialization
+zrunt=
+zfile1=
+zfile2=
+zconf=
+zout=
+ztag=
+zxis=1
+
+# Get arguments
+while getopts r:a:b:c:o:t:x: opt
+do
+  case "$opt" in
+    r) zrunt="$OPTARG";;
+    a) zfile1="$OPTARG";;
+    b) zfile2="$OPTARG";;
+    c) zconf="$OPTARG";;
+    o) zout="$OPTARG";;
+    t) ztag="$OPTARG";;
+    x) zxis="$OPTARG";;
+    *) help_CPU_time;;
+  esac
+done
+
+# Check if results must be compare to the reference version
+test -n "${ztag}"
+evaltag=$?
+
+case "${zrunt}" in
+
+     'mon' )
+
+           # OUTPUT TIMING OF THE MON RUN
+           ##############################
+           
+           if [ ${evaltag} -a ${zxis} == 0 ] ; then
+               # Get values from the reference tag
+               zreal=$( awk '/wall clock time/           {print $6}' ${zfile2} )
+               zuser=$( awk '/Total amount of time in u/ {print $9}' ${zfile2} )
+               zmemo=$( awk '/Maximum resident set size/ {print $6/1024}' ${zfile2} )
+               zuzra=$( awk '/Utilization rate/          {print $4}' ${zfile2} )
+               # Print: Variable long name | current version values | reference version values | variations
+               echo "                                                 Current version     ${ztag} version       Variation " >> ${zout}
+               echo "                                                                 " >> ${zout}
+               awk '/wall clock time/            { creal=$6      ; printf("%-6s %.33s %8s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "(sec) :"    , $6  , invar, ((creal-invar)/invar)*100 ) }' invar=${zreal} ${zfile1} >> ${zout}
+               awk '/Total amount of time in u/  { cuser=$9      ; printf("%-6s %.34s %7s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "(sec) :"    , $9  , invar, ((cuser-invar)/invar)*100 ) }' invar=${zuser} ${zfile1} >> ${zout}
+               awk '/Maximum resident set size/  { cmflo=$6/1024 ; printf("%-6s %.26s %15s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "(Mo) :"     ,cmflo, invar, ((cmflo-invar)/invar)*100 ) }' invar=${zmemo} ${zfile1} >> ${zout}
+               awk '/Utilization rate/           { cuzra=$4      ; printf("%-5s %.24s %18s %12.2f    | %12.2f      |     %7.2f % \n", " ", $0, "~100% (%) :", $4  , invar, ((cuzra-invar)/invar)*100 ) }' invar=${zuzra} ${zfile1} >> ${zout}
+           else
+               # Print: Variable long name | current version values
+               echo "                                                 Current version " >> ${zout}
+               echo "                                                                 " >> ${zout}
+               awk '/wall clock time/            {printf("%-6s %.33s %8s %9.2f \n", " ", $0, "(sec) :"    , $6      ) }' ${zfile1} >> ${zout}
+               awk '/Total amount of time in u/  {printf("%-6s %.34s %7s %9.2f \n", " ", $0, "(sec) :"    , $9      ) }' ${zfile1} >> ${zout}
+               awk '/Maximum resident set size/  {printf("%-6s %.26s %15s %9.2f \n", " ", $0, "(Mo) :"     , $6/1024) }' ${zfile1} >> ${zout}
+               awk '/Utilization rate/           {printf("%-5s %.24s %18s %9.2f \n", " ", $0, "~100% (%) :", $4     ) }' ${zfile1} >> ${zout}
+           fi 
+
+           ;;
+
+     'mpi' )
+           
+           # OUTPUT TIMING OF THE MPI RUN
+           ##############################
+           
+           if [ ${evaltag} -a ${zxis} == 0 ] ; then
+               # Get values from the reference tag
+               awk '/wall clock time/           {print}' ${zfile2} > temp1
+               awk '/Maximum resident set size/ {print}' ${zfile2} > temp2
+               awk '/Utilization rate/          {print}' ${zfile2} > temp3
+           
+               zreal=$( awk '/wall clock time/           {cum += $6} END {printf("%f", cum/NR) }'        temp1 )
+               zuser=$( awk '/Total amount of time in u/ {cum += $9} END {printf("%f", cum )   }'        ${zfile2})
+               zmemo=$( awk '/Maximum resident set size/ {cum += $6} END {printf("%f", cum/(1024*NR)) }' temp2 )
+               zuzra=$( awk '/Utilization rate/          {cum += $4} END {printf("%f", cum/NR) }'        temp3 )
+           
+               # Get values from the current version
+               awk '/wall clock time/           {print}' ${zfile1} > temp1
+               awk '/Maximum resident set size/ {print}' ${zfile1} > temp2
+               awk '/Utilization rate/          {print}' ${zfile1} > temp3
+           
+               echo "                                                 Current version     ${ztag} version       Variation " >> ${zout}
+               echo "                                                                                                     " >> ${zout}
+               awk '/wall clock time/           {cum += $6} END {printf("%-7s %-39s %1s %11.2f    |     %12.2f   |     %7.2f %\n" , " ", "Execution time (wall clock time)  (sec)", ":", cum/NR       , invar, ((cum/NR-invar)/invar)*100  ) }' invar=${zreal} temp1     >> ${zout}
+               awk '/Total amount of time in u/ {cum += $9} END {printf("%-7s %-39s %1s %11.2f    |     %12.2f   |     %7.2f %\n" , " ", "Total amount of time in user mode (sec)", ":", cum          , invar, ((cum-invar)/invar)*100  ) }'    invar=${zuser} ${zfile1} >> ${zout}
+               awk '/Maximum resident set size/ {cum += $6} END {printf("%-7s %-25s %15s %12.2f   |     %12.2f   |     %7.2f %\n", " ", "Maximum resident set size", "(Mo)  :"        , cum/(1024*NR), invar, ((cum/(1024*NR)-invar)/invar)*100  ) }'  invar=${zmemo} temp2     >> ${zout}
+               awk '/Utilization rate/          {cum += $4} END {printf("%-7s %-16s %24s %12.2f   |     %12.2f   |     %7.2f %\n", " ", "Utilization rate", "(%)   :"                 , cum/NR       , invar, ((cum/NR-invar)/invar)*100  ) }' invar=${zuzra} temp3     >> ${zout}
+           
+               echo "                                                                                                     " >> ${zout}
+           
+               \rm temp*
+           
+           else
+               # Get values from the current version
+               awk '/wall clock time/           {print}' ${zfile1} > temp1
+               awk '/Maximum resident set size/ {print}' ${zfile1} > temp2
+               awk '/Utilization rate/          {print}' ${zfile1} > temp3
+           
+               echo "                                                 Current version " >> ${zout}
+               echo "                                                                 " >> ${zout}
+               awk '/wall clock time/           {cum += $6} END {printf("%-7s %-39s %1s %9.2f\n" , " ", "Execution time (wall clock time)  (sec)", ":", cum/NR ) }' temp1     >> ${zout}
+               awk '/Total amount of time in u/ {cum += $9} END {printf("%-7s %-39s %1s %9.2f\n" , " ", "Total amount of time in user mode (sec)", ":", cum ) }'    ${zfile1} >> ${zout}
+               awk '/Maximum resident set size/ {cum += $6} END {printf("%-7s %-25s %15s %9.2f\n", " ", "Maximum resident set size", "(Mo)  :", cum/(1024*NR) ) }'  temp2     >> ${zout}
+               awk '/Utilization rate/          {cum += $4} END {printf("%-7s %-16s %24s %9.2f\n", " ", "Utilization rate", "(%)   :", cum/NR ) }'                  temp3     >> ${zout}
+           
+               echo "                                                                                                     " >> ${zout}
+           
+               \rm temp*
+           fi
+
+           ;;
+esac
Index: unk/NVTK/INSTALL/JOBS/MEM_size_aix.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/MEM_size_aix.ksh	(revision 1296)
+++ 	(revision )
@@ -1,102 +1,0 @@
-#!/bin/ksh
-# $Id$
-##############################################################
-# Original : C. Talandier for ESOPA
-# Contact  : opatlod@locean-ipsl.upmc.fr
-#
-# It is called by the assessment.ksh script for a 
-# given configuration 
-#
-# INPUT ARGS: 6
-#     - zxcm   : (0/1) mon${zconf}_err file (do/do not) exist"
-#     - zxrs   : (0/1) Ref memory_size.txt file (do/do not) exist"
-#     - zxrm   : (0/1) Ref mon${zconf}_err file (do/do not) exist"
-#     - zconf  : configuration name"
-#     - zout   : output file name"
-#     - ztag   : tag name to which are compared files"
-#
-# WORK: It aims to :
-#
-#      - Treat output timing from the sx8brodie target for 
-#        mon, mpi & omp runs
-#     *- compare it to a reference version 
-#
-# * this step is performed only if a reference tag 
-#   is specified with the -t option and if files exist.
-#   See the Makefile under ./config/NVTK directory
-#
-##############################################################
-#set -xv
-##############################################################
-
-# Get the name of the present script
-nscript=$( (basename $0) )
-
-#
-# help_CPU_time() To print help
-#
-function help_CPU_time
-{
-  echo "Usage: $nscript [-a] [-b] [-d] [-c] [-o] [-t]"
-  echo "Options: These are optional argument"
-  echo " -a : (0/1) mon${zconf}_err file (do/do not) exist"
-  echo " -b : (0/1) Ref memory_size.txt file (do/do not) exist"
-  echo " -d : (0/1) Ref mon${zconf}_err file (do/do not) exist"
-  echo " -c : configuration name"
-  echo " -o : output file name"
-  echo " -t : tag name to which are compared files"
-  echo " their values are not taken)"
-  exit 1
-}
-
-# Initialization
-zxcm=1
-zxrs=1
-zxrm=1
-zconf=
-zout=
-ztag=
-
-# Get arguments
-while getopts a:b:d:c:o:t: opt
-do
-  case "$opt" in
-    a) zxcm="$OPTARG";;
-    b) zxrs="$OPTARG";;
-    d) zxrm="$OPTARG";;
-    c) zconf="$OPTARG";;
-    o) zout="$OPTARG";;
-    t) ztag="$OPTARG";;
-    *) help_MEM_size;;
-  esac
-done
-
-# Check if results must be compared to the reference version
-test -n "${ztag}"
-evaltag=$?
-
-zfilecs='mon/LONG/memory_size.txt' ;  zfilers='mon/LONG/REF/memory_size.txt'
-zfilecm="mon/LONG/mon${zconf}_err"  ;  zfilerm="mon/LONG/REF/mon${zconf}_err"
-
-# If reference version files exist
-if [ ${evaltag} == 0 -a ${zxrm} == 0 ] ;  then
-    # Get values from the reference tag
-    Mo_stack_ms=$( (awk '/Stack/ {print $NF/(1024*1024) }' ${zfilers} ) )
-    Mo_stati_ms=$( (awk '/Stati/ {print $NF/(1024*1024) }' ${zfilers} ) )
-    if [ ${zxcm} == 0 ] ; then Mo_max_used=$( (awk '/resident/ {print $6/1024}' ${zfilerm} ) ) ; fi
-
-    # Print: Variable long name | current version values | reference version values | variations
-    echo "                                                 " >> ${zout}
-    echo "                                      Version    " >> ${zout}
-    echo "             Memory          Current /       \ ${ztag}        Variation " >> ${zout}
-    awk ' /Stack/ { val=$NF/(1024*1024) } END {printf("%-9s %-16s %8.1f      |   %8.1f     |    %5.1f %\n ", " ", "Stack     (Mo) :", val, inck, ((val-inck)/inck)*100 ) }' inck=${Mo_stack_ms} ${zfilecs} >> ${zout}
-    awk ' /Stati/ { val=$NF/(1024*1024) } END {printf("%-8s %-16s %8.1f      |   %8.1f     |    %5.1f %\n ", " ", "Static    (Mo) :", val, inti, ((val-inti)/inti)*100 ) }' inti=${Mo_stati_ms} ${zfilecs} >> ${zout}
-    if [ ${zxcm} == 0 ] ; then awk ' /resident/ { val=$6/1024 } END {printf("%-8s %-16s %8.1f      |   %8.1f     |    %5.1f %\n ", " ", "Max. used (Mo) :", val, inus, ((val-inus)/inus)*100 ) }' inus=${Mo_max_used} ${zfilecm} >> ${zout} ; fi
-else
-    # Print: Variable long name | current version values
-    echo "                                                 " >> ${zout}
-    echo "             Memory          Current version "     >> ${zout}
-    awk ' /Stack/  {printf("%-9s %-.16s %11.1f\n ", " ", "Stack     (Mo) :", $NF/(1024*1024) ) }' ${zfilecs} >> ${zout}
-    awk ' /Stati/  {printf("%-8s %-.16s %11.1f\n ", " ", "Static    (Mo) :", $NF/(1024*1024) ) }' ${zfilecs} >> ${zout}
-    if [ ${zxcm} == 0 ] ; then awk ' /resident/ {printf("%-8s %-.16s %11.1f\n ", " ", "Max. used (Mo) :", $6/1024 ) }' ${zfilecm} >> ${zout} ; fi
-fi
Index: /trunk/NVTK/INSTALL/JOBS/MEM_size_aix6.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/MEM_size_aix6.ksh	(revision 1297)
+++ /trunk/NVTK/INSTALL/JOBS/MEM_size_aix6.ksh	(revision 1297)
@@ -0,0 +1,102 @@
+#!/bin/ksh
+# $Id$
+##############################################################
+# Original : C. Talandier for ESOPA
+# Contact  : opatlod@locean-ipsl.upmc.fr
+#
+# It is called by the assessment.ksh script for a 
+# given configuration 
+#
+# INPUT ARGS: 6
+#     - zxcm   : (0/1) mon${zconf}_err file (do/do not) exist"
+#     - zxrs   : (0/1) Ref memory_size.txt file (do/do not) exist"
+#     - zxrm   : (0/1) Ref mon${zconf}_err file (do/do not) exist"
+#     - zconf  : configuration name"
+#     - zout   : output file name"
+#     - ztag   : tag name to which are compared files"
+#
+# WORK: It aims to :
+#
+#      - Treat output timing from the sx8brodie target for 
+#        mon, mpi & omp runs
+#     *- compare it to a reference version 
+#
+# * this step is performed only if a reference tag 
+#   is specified with the -t option and if files exist.
+#   See the Makefile under ./config/NVTK directory
+#
+##############################################################
+#set -xv
+##############################################################
+
+# Get the name of the present script
+nscript=$( (basename $0) )
+
+#
+# help_CPU_time() To print help
+#
+function help_CPU_time
+{
+  echo "Usage: $nscript [-a] [-b] [-d] [-c] [-o] [-t]"
+  echo "Options: These are optional argument"
+  echo " -a : (0/1) mon${zconf}_err file (do/do not) exist"
+  echo " -b : (0/1) Ref memory_size.txt file (do/do not) exist"
+  echo " -d : (0/1) Ref mon${zconf}_err file (do/do not) exist"
+  echo " -c : configuration name"
+  echo " -o : output file name"
+  echo " -t : tag name to which are compared files"
+  echo " their values are not taken)"
+  exit 1
+}
+
+# Initialization
+zxcm=1
+zxrs=1
+zxrm=1
+zconf=
+zout=
+ztag=
+
+# Get arguments
+while getopts a:b:d:c:o:t: opt
+do
+  case "$opt" in
+    a) zxcm="$OPTARG";;
+    b) zxrs="$OPTARG";;
+    d) zxrm="$OPTARG";;
+    c) zconf="$OPTARG";;
+    o) zout="$OPTARG";;
+    t) ztag="$OPTARG";;
+    *) help_MEM_size;;
+  esac
+done
+
+# Check if results must be compared to the reference version
+test -n "${ztag}"
+evaltag=$?
+
+zfilecs='mon/LONG/memory_size.txt' ;  zfilers='mon/LONG/REF/memory_size.txt'
+zfilecm="mon/LONG/mon${zconf}_err"  ;  zfilerm="mon/LONG/REF/mon${zconf}_err"
+
+# If reference version files exist
+if [ ${evaltag} == 0 -a ${zxrm} == 0 ] ;  then
+    # Get values from the reference tag
+    Mo_stack_ms=$( awk '/Stack/ {print $NF/(1024*1024) }' ${zfilers} )
+    Mo_stati_ms=$( awk '/Stati/ {print $NF/(1024*1024) }' ${zfilers} )
+    if [ ${zxcm} == 0 ] ; then Mo_max_used=$( awk '/resident/ {print $6/1024}' ${zfilerm} ) ; fi
+
+    # Print: Variable long name | current version values | reference version values | variations
+    echo "                                                 " >> ${zout}
+    echo "                                      Version    " >> ${zout}
+    echo "             Memory          Current /       \ ${ztag}        Variation " >> ${zout}
+    awk ' /Stack/ { val=$NF/(1024*1024) } END {printf("%-9s %-16s %8.1f      |   %8.1f     |    %5.1f %\n ", " ", "Stack     (Mo) :", val, inck, ((val-inck)/inck)*100 ) }' inck=${Mo_stack_ms} ${zfilecs} >> ${zout}
+    awk ' /Stati/ { val=$NF/(1024*1024) } END {printf("%-8s %-16s %8.1f      |   %8.1f     |    %5.1f %\n ", " ", "Static    (Mo) :", val, inti, ((val-inti)/inti)*100 ) }' inti=${Mo_stati_ms} ${zfilecs} >> ${zout}
+    if [ ${zxcm} == 0 ] ; then awk ' /resident/ { val=$6/1024 } END {printf("%-8s %-16s %8.1f      |   %8.1f     |    %5.1f %\n ", " ", "Max. used (Mo) :", val, inus, ((val-inus)/inus)*100 ) }' inus=${Mo_max_used} ${zfilecm} >> ${zout} ; fi
+else
+    # Print: Variable long name | current version values
+    echo "                                                 " >> ${zout}
+    echo "             Memory          Current version "     >> ${zout}
+    awk ' /Stack/  {printf("%-9s %-.16s %11.1f\n ", " ", "Stack     (Mo) :", $NF/(1024*1024) ) }' ${zfilecs} >> ${zout}
+    awk ' /Stati/  {printf("%-8s %-.16s %11.1f\n ", " ", "Static    (Mo) :", $NF/(1024*1024) ) }' ${zfilecs} >> ${zout}
+    if [ ${zxcm} == 0 ] ; then awk ' /resident/ {printf("%-8s %-.16s %11.1f\n ", " ", "Max. used (Mo) :", $6/1024 ) }' ${zfilecm} >> ${zout} ; fi
+fi
Index: /trunk/NVTK/INSTALL/JOBS/assessment.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1296)
+++ /trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1297)
@@ -356,5 +356,5 @@
 test -n "${TODO}"
 id2do=$?
-if [ ${id2do} == 0 -a ${TARGET} = 'aix' ] ; then concat_perf ${CONF} ; fi
+if [ ${id2do} == 0 -a ${TARGET} = 'aix6' ] ; then concat_perf ${CONF} ; fi
 
 #@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
Index: /trunk/NVTK/INSTALL/JOBS/jhd_aix6_mpi
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/jhd_aix6_mpi	(revision 1297)
+++ /trunk/NVTK/INSTALL/JOBS/jhd_aix6_mpi	(revision 1297)
@@ -0,0 +1,22 @@
+#!/bin/ksh
+# $Id$
+############################################################################
+#### aix Header mpi
+############################################################################
+# Temps CPU max. en secondes (d'un processus)
+# @ wall_clock_limit  = 0:10:00
+# Mémoire max. utilisée (ici 11 Go)
+# @ data_limit = 3gb
+# Type du travail
+# @ job_type = parallel
+# Nom du travail LoadLeveler
+# @ job_name   = 
+# Fichier de sortie standard du travail
+# @ output     = $(job_name)_std
+# Fichier de sortie d'erreur du travail
+# @ error      =  $(job_name)_err
+# Nombre de processus demandes
+# @ total_tasks = 8
+# @ queue
+#                                           
+
Index: unk/NVTK/INSTALL/JOBS/jhd_aix_mpi
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/jhd_aix_mpi	(revision 1296)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#!/bin/ksh
-# $Id$
-############################################################################
-#### aix Header mpi
-############################################################################
-# Temps CPU max. en secondes (d'un processus)
-# @ cpu_limit  = 1000
-# Mémoire max. utilisée (ici 11 Go)
-# @ data_limit = 3gb
-# Type du travail
-# @ job_type = parallel
-# Nom du travail LoadLeveler
-# @ job_name   = 
-# Fichier de sortie standard du travail
-# @ output     = $(job_name)_std
-# Fichier de sortie d'erreur du travail
-# @ error      =  $(job_name)_err
-# Nombre de processus demandes
-# @ total_tasks = 8
-# @ queue
-#                                           
-
Index: /trunk/NVTK/INSTALL/JOBS/jhd_ax6_mono_mon
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/jhd_ax6_mono_mon	(revision 1297)
+++ /trunk/NVTK/INSTALL/JOBS/jhd_ax6_mono_mon	(revision 1297)
@@ -0,0 +1,18 @@
+#!/bin/ksh
+# $Id$
+############################################################################
+#### ax_mono Header mon
+############################################################################
+# Temps CPU max. en secondes (d'un processus)
+# @ wall_clock_limit  = 0:20:00
+# Mémoire max. utilisée (ici 11 Go)
+# @ data_limit = 3gb
+# Nom du travail LoadLeveler
+# @ job_name   = 
+# Fichier de sortie standard du travail
+# @ output     = $(job_name)_std
+# Fichier de sortie d'erreur du travail
+# @ error      =  $(job_name)_err
+# @ queue
+#                                           
+
Index: unk/NVTK/INSTALL/JOBS/jhd_ax_mono_mon
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/jhd_ax_mono_mon	(revision 1296)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#!/bin/ksh
-# $Id$
-############################################################################
-#### ax_mono Header mon
-############################################################################
-# Temps CPU max. en secondes (d'un processus)
-# @ cpu_limit  = 2000
-# Mémoire max. utilisée (ici 11 Go)
-# @ data_limit = 3gb
-# Nom du travail LoadLeveler
-# @ job_name   = 
-# Fichier de sortie standard du travail
-# @ output     = $(job_name)_std
-# Fichier de sortie d'erreur du travail
-# @ error      =  $(job_name)_err
-# @ queue
-#                                           
-
Index: /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh	(revision 1296)
+++ /trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh	(revision 1297)
@@ -147,20 +147,20 @@
 #-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}) )"    >> memory_size.txt 
 #-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo) )"   >> memory_size.txt  ;;
-#-T- aix     ;;
-#-T- ax_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- ax_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
+#-T- aix6     ;;
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
 #-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
 #-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;; 
         'mpi' ) 
 #-T- sx8brodie export MPIPROGINF=detail ;;
-#-T- aix     ;;
-#-T- ax_mono ;;
-#-T- osxxlf  ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
         'omp' ) 
 #-T- sx8brodie export F_PROGINF=detail
 #-T- sx8brodie export OMP_NUM_THREADS=${NB_PROCS} ;;
-#-T- aix     ;;
-#-T- ax_mono ;;
-#-T- osxxlf  ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
 esac
 #
@@ -173,5 +173,5 @@
         'mpi' ) 
 #-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
-#-T- aix              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
 #-T- osxxlf   mpd&
 #-T- osxxlf   sleep 5
Index: /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 1296)
+++ /trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 1297)
@@ -181,20 +181,20 @@
 #-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}) )"    >> memory_size.txt 
 #-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo) )"   >> memory_size.txt  ;;
-#-T- aix     ;;
-#-T- ax_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- ax_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
+#-T- aix6     ;;
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
 #-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
 #-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;; 
         'mpi' ) 
 #-T- sx8brodie export MPIPROGINF=detail ;;
-#-T- aix     ;;
-#-T- ax_mono ;;
-#-T- osxxlf  ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
         'omp' ) 
 #-T- sx8brodie export F_PROGINF=detail
 #-T- sx8brodie export OMP_NUM_THREADS=${NB_PROCS} ;;
-#-T- aix     ;;
-#-T- ax_mono ;;
-#-T- osxxlf  ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
 esac
 #
@@ -207,5 +207,5 @@
         'mpi' ) 
 #-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
-#-T- aix              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
 #-T- osxxlf   mpd&
 #-T- osxxlf   sleep 5
Index: /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 1296)
+++ /trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 1297)
@@ -95,7 +95,7 @@
 
 # Get forcing files
-${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.tar ORCA2_LIM_nemo_v3.tar
-tar xvf ORCA2_LIM_nemo_v3.tar
-rm -rf ORCA2_LIM_nemo_v3.tar
+${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
+tar xvf ORCA2_LIM_nemo_v3.1.tar
+rm -rf ORCA2_LIM_nemo_v3.1.tar
 
 # Get restarts files if needed
@@ -161,20 +161,20 @@
 #-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}) )"    >> memory_size.txt 
 #-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo) )"   >> memory_size.txt  ;;
-#-T- aix     ;;
-#-T- ax_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- ax_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
+#-T- aix6     ;;
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
 #-T- osxxlf echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
 #-T- osxxlf echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;; 
         'mpi' ) 
 #-T- sx8brodie export MPIPROGINF=detail ;;
-#-T- aix     ;;
-#-T- ax_mono ;;
-#-T- osxxlf  ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
         'omp' ) 
 #-T- sx8brodie export F_PROGINF=detail
 #-T- sx8brodie export OMP_NUM_THREADS=${NB_PROCS} ;;
-#-T- aix     ;;
-#-T- ax_mono ;;
-#-T- osxxlf  ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
+#-T- osxxlf   ;;
 esac
 #
@@ -187,5 +187,5 @@
         'mpi' ) 
 #-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
-#-T- aix              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
 #-T- osxxlf   mpd&
 #-T- osxxlf   sleep 5
Index: /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh	(revision 1296)
+++ /trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh	(revision 1297)
@@ -118,7 +118,7 @@
 
 # Get forcing files
-${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.tar ORCA2_LIM_nemo_v3.tar
-tar xvf ORCA2_LIM_nemo_v3.tar
-rm -rf ORCA2_LIM_nemo_v3.tar
+${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
+tar xvf ORCA2_LIM_nemo_v3.1.tar
+rm -rf ORCA2_LIM_nemo_v3.1.tar
 
 # Get restarts files if needed
@@ -197,16 +197,16 @@
 #-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}) )"    >> memory_size.txt 
 #-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo) )"   >> memory_size.txt  ;;
-#-T- aix     ;;
-#-T- ax_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
-#-T- ax_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
+#-T- aix6     ;;
+#-T- ax6_mono echo "Stack memory: $( (size opa_${CONF}_memo) )"    >> memory_size.txt 
+#-T- ax6_mono echo "Static memory: $( (size opa_${CONF}_${RUN}) )"   >> memory_size.txt ;;
         'mpi' ) 
 #-T- sx8brodie export MPIPROGINF=detail ;;
-#-T- aix     ;;
-#-T- ax_mono ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
         'omp' ) 
 #-T- sx8brodie export F_PROGINF=detail
 #-T- sx8brodie export OMP_NUM_THREADS=${NB_PROCS} ;;
-#-T- aix     ;;
-#-T- ax_mono ;;
+#-T- aix6     ;;
+#-T- ax6_mono ;;
 esac
 #
@@ -219,5 +219,5 @@
         'mpi' ) 
 #-T- sx8brodie              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
-#-T- aix              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
+#-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN} ;;
 esac
 
Index: /trunk/NVTK/INSTALL/JOBS/lance_batch.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/lance_batch.ksh	(revision 1296)
+++ /trunk/NVTK/INSTALL/JOBS/lance_batch.ksh	(revision 1297)
@@ -72,5 +72,5 @@
 
 # Specific case of Zahir:
-if [ ${RUN} = 'mon' -a ${TARGET} = 'aix' ] ; then TARGET=ax_mono ; fi
+if [ ${RUN} = 'mon' -a ${TARGET} = 'aix6' ] ; then TARGET=ax6_mono ; fi
 
 # ---------------------------------------------------------------
@@ -88,24 +88,24 @@
     CMDGET=mfget
     SYMBOL=B_
-elif [ ${TARGET} = 'aix' ]; then
-    W_XX='#-T- aix'
+elif [ ${TARGET} = 'aix6' ]; then
+    W_XX='#-T- aix6'
     LAUN='llsubmit '
     LLJOBS=Qstat
     LSUB=
     LPERF="poe hpmcount -o perfs_mpi.txt" 
-    LJTIM=4000
+    LJTIM='01:10:00'
     LJTIMJ=
     CMDGET=mfget
-    SYMBOL=Z_
-elif [ ${TARGET} = 'ax_mono' ]; then
-    W_XX='#-T- ax_mono'
+    SYMBOL=V_
+elif [ ${TARGET} = 'ax6_mono' ]; then
+    W_XX='#-T- ax6_mono'
     LAUN='llsubmit '
     LLJOBS=Qstat
     LSUB=
     LPERF="hpmcount -o perfs_mon.txt" 
-    LJTIM=30000
+    LJTIM='05:10:00'
     LJTIMJ=
     CMDGET=mfget
-    SYMBOL=Z_
+    SYMBOL=V_
 elif [ ${TARGET} = 'osxxlf' ]; then
     W_XX='#-T- osxxlf'
@@ -121,5 +121,5 @@
     echo '	#######################################'
     echo ' 	You must give a target name :'
-    echo ' 	sx8brodie, aix, ax_mono or add one'
+    echo ' 	sx8brodie, aix6, ax6_mono or add one'
     echo ' 	Have a look in lance_batch.ksh script'
     echo '	#######################################'
@@ -136,9 +136,9 @@
      'osxxlf' )
 	  cp jhd_${TARGET}_${RUN} jhd_${TARGET}_${RUN}_tmp  ;;
-     'ax_mono' )
+     'ax6_mono' )
           CAR_JNAM=$( grep '\# @ job_name' jhd_${TARGET}_${RUN} )
           sed    -e "s/$CAR_JNAM/\# @ job_name = ${RUN}${CONF}/" \
           jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp  ;;
-     'aix' )
+     'aix6' )
           CAR_JNAM=$( grep '\# @ job_name' jhd_${TARGET}_${RUN} )
           CAR_JMPI=$( grep '\# @ total_tasks' jhd_${TARGET}_${RUN} )
@@ -242,7 +242,7 @@
 
            case ${TARGET} in
-                'ax_mono' | 'aix' )
-                     CAR_JTIM=$( grep '\# @ cpu_limit' job_${RUN}_${jobnam[$ind]}.ksh )
-                     sed    -e "s/$CAR_JTIM/\# @ cpu_limit = ${LJTIM}/" \
+                'ax6_mono' | 'aix6' )
+                     CAR_JTIM=$( grep '\# @ wall_clock_limit' job_${RUN}_${jobnam[$ind]}.ksh )
+                     sed    -e "s/$CAR_JTIM/\# @ wall_clock_limit = ${LJTIM}/" \
                      job_${RUN}_${jobnam[$ind]}.ksh > job_${RUN}_${jobnam[$ind]}.ksh_tmp  ;;
                 'sx8brodie' )
Index: /trunk/NVTK/fait_AA_make
===================================================================
--- /trunk/NVTK/fait_AA_make	(revision 1296)
+++ /trunk/NVTK/fait_AA_make	(revision 1297)
@@ -37,4 +37,11 @@
 pwd
 
+# Test version of echo
+stringtest=`echo "\c"`
+if [ "$stringtest" ]; then
+   echo 'aliasing echo with /bin/echo -e ...'
+   alias echo='/bin/echo -e'
+fi
+
 #-
 #- Search CPP keys ---
@@ -99,6 +106,6 @@
 	@\$(P_C) \$(P_O) -IOPAFILES/AGRIF_INC \$*.F90 > OPAFILES/\$*.F90 
 	@\$(F_C) \\
-#-Q- aix		-qsuffix=f=F90 \\
-#-Q- ax_mono		-qsuffix=f=F90 \\
+#-Q- aix6		-qsuffix=f=F90 \\
+#-Q- ax6_mono		-qsuffix=f=F90 \\
 #-Q- babel		-qsuffix=f=F90 \\
 #-Q- osxxlf		-qsuffix=f=F90 \\
@@ -109,6 +116,6 @@
 #-Q- sxdkrz		-R2 \\
 #-Q- eshpux		-R2 \\
-#-Q- aix		-qsource \\
-#-Q- ax_mono		-qsource \\
+#-Q- aix6		-qsource \\
+#-Q- ax6_mono		-qsource \\
 #-Q- babel		-qsource \\
 	   OPAFILES/\$*.F90 || { mv \$(PREF).L \$(TMP) ; false ; exit ; }
@@ -145,6 +152,6 @@
 #-Q- sxdkrz		-R2 \\
 #-Q- eshpux		-R2 \\
-#-Q- aix		-qsource \\
-#-Q- ax_mono		-qsource \\
+#-Q- aix6		-qsource \\
+#-Q- ax6_mono		-qsource \\
 #-Q- babel		-qsource \\
 		\$*.f90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
@@ -152,6 +159,6 @@
 		@\$(RM) \$*.[f]
 		@if [ -f \$*.mod ] ; then mv \$*.mod \$(MODDIR)/oce_\$(NEMOLIB)/\$(COMP) ; fi
-#-Q- aix		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- ax_mono		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
+#-Q- aix6		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
+#-Q- ax6_mono		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- babel		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
@@ -178,6 +185,6 @@
 #-Q- sxdkrz		-R2 \\
 #-Q- eshpux		-R2 \\
-#-Q- aix		-qsource \\
-#-Q- ax_mono		-qsource \\
+#-Q- aix6		-qsource \\
+#-Q- ax6_mono		-qsource \\
 #-Q- babel		-qsource \\
 		OPAFILES/\$*.F90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; } 
@@ -189,6 +196,6 @@
 #-Q- sxdkrz		-R2 \\
 #-Q- eshpux		-R2 \\
-#-Q- aix		-qsource \\
-#-Q- ax_mono		-qsource \\
+#-Q- aix6		-qsource \\
+#-Q- ax6_mono		-qsource \\
 #-Q- babel		-qsource \\
 		\$*.F90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
@@ -197,52 +204,10 @@
 		@\$(RM) \$*.[f]
 		@if [ -f \$*.mod ] ; then mv \$*.mod \$(MODDIR)/oce_\$(NEMOLIB)/\$(COMP) ; fi
-#-Q- aix		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- ax_mono		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
+#-Q- aix6		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
+#-Q- ax6_mono		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- babel		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 		@if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi
-
-# rules for the .F files
-\$(MODEL_LIB)/%.o : %.F           
-		@\$(F_C) \$(P_P) \$(F_F) \\
-#-Q- fjvpp		-Z \$*.L \\
-#-Q- sx8mercure		-R2 \\
-#-Q- sx8brodie		-R2 \\
-#-Q- sxdkrz		-R2 \\
-#-Q- eshpux		-R2 \\
-#-Q- aix		-qsource \\
-#-Q- ax_mono		-qsource \\
-#-Q- babel  		-qsource \\
-		\$*.F || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
-		@mv \$*.o \$(MODEL_LIB)/.
-		@\$(RM) \$*.[f]
-		@if [ -f \$*.mod ] ; then mv \$*.mod \$(MODDIR)/oce_\$(NEMOLIB)/\$(COMP) ; fi
-#-Q- aix		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- ax_mono		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- babel		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-		@if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi
-
-# rules for the library from the .f files 
-\$(MODEL_LIB)/%.o : %.f           
-		@\$(F_C) \$(F_O) \\
-#-Q- fjvpp		-Z \$*.L \\
-#-Q- sx8mercure		-R2 \\
-#-Q- sx8brodie		-R2 \\
-#-Q- sxdkrz		-R2 \\
-#-Q- eshpux		-R2 \\
-#-Q- aix		-qsource \\
-#-Q- ax_mono		-qsource \\
-#-Q- babel		-qsource \\
-		\$*.f|| { if [ -f \$(PREF)\$*.L ] ; then mv \$*.L \$(TMP) ; fi ; false ; exit ; }
-		@mv \$*.o \$(MODEL_LIB)/.
-#-Q- aix		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- ax_mono		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- babel		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- linux	@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-#-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-		@if [ -f \$(PREF)\$*.L ] ; then mv \$*.L \$(TMP) ; fi
 
 end
@@ -258,63 +223,51 @@
 echo '#          Check your compilers option in consequence when using real F95 compilers'
 echo ''
-echo '#-Q- sx8mercure  # Compiler options NEMO (CEA SX6-NEC) '
-echo '#-Q- sx8mercure  F_O = -f2003 nocbind noopt_ieee -size_t64 -dw -Wf\"-A dbl4\" -sx6 -C vopt -Wf"-P nh" -Wf',-pvctl noassume loopcnt=10000 -L transform' -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- sx8mercure  F_O = -f2003 nocbind noopt_ieee -size_t64 -dw -Wf\"-A dbl4\" -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- sx8mercure  F_F = $(F_O) -f3'
-echo '#-Q- sx8mercure  L_X = $(L_O) -ftrace'
-echo '#-Q- sx8brodie  # Compiler options NEMO (CEA SX6-NEC) '
-echo '#-Q- sx8brodie  F_O = -f2003 nocbind noopt_ieee -dw -Wf\"-A idbl4\" -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- sx8brodie  F_F = $(F_O) -f3'
+echo '#-Q- platine # Compiler options NEMO (CCRT Itanium Bull) '
+echo '#-Q- platine F_O = -O3 -i4 -r8 -module $(MODEL_LIB) -I $(MODDIR) -I$(MODEL_LIB) -I$(NCDF_INC) '
+echo '#-Q- platine L_X = $(L_O) '
+echo '#-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) '
+echo '#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf',-pvctl noassume loopcnt=10000 -L transform' -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
+echo '#-Q- sx8mercure  L_X = $(L_O)'
+echo '#-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) '
+echo '#-Q- sx8brodie  F_O = -f2003 nocbind -dw -Wf\"-A idbl4\" -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
 echo '#-Q- sx8brodie  L_X = $(L_O)'
 echo '#-Q- sxdkrz  # Compiler options for NEMO (DKRZ SX6-NEC) '
-echo '#-Q- sxdkrz  F_O = -f2003 nocbind noopt_ieee -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- sxdkrz  F_F = $(F_O) -f3'
+echo '#-Q- sxdkrz  F_O =  -f2003 nocbind -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
 echo '#-Q- sxdkrz  L_X = $(L_O) -ftrace'
 echo '#-Q- eshpux  # Compiler options for NEMO (Earth Simulator)'
 echo '#-Q- eshpux  # for super perfs!'
-echo '#-Q- eshpux  # F_O = -f2003 nocbind noopt_ieee $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
+echo '#-Q- eshpux  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
 echo '#-Q- eshpux  # regular options!'
-echo '#-Q- eshpux  F_O = -f2003 nocbind noopt_ieee $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- eshpux  F_F = $(F_O) -f3'
+echo '#-Q- eshpux  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
 echo '#-Q- eshpux  L_X = $(L_O)'
 echo '#-Q- linux  # Compiler options for NEMO (pgf version)'
 echo '#-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- linux  F_F = $(F_O) -Mextend'
 echo '#-Q- linux  L_X = -r8 -O3'
 echo '#-Q- lxiv7  # Compiler options for NEMO (ifc version)'
 echo '#-Q- lxiv7  F_O = -O3 -r8  -I $(MODDIR) -I$(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- lxiv7  F_F = $(F_O) -extend_source '
 echo '#-Q- lxiv7  L_X = -r8 -O3'
 echo '#-Q- lxiv8  # Compiler options for NEMO (ifort version)'
 echo '#-Q- lxiv8  F_O = -O3 -r8  -I $(MODDIR) -I$(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- lxiv8  F_F = $(F_O) -extend_source '
 echo '#-Q- lxiv8  L_X = -r8 -O3'
 echo '#-Q- g95  # Compiler options for NEMO (g95 version)'
 echo '#-Q- g95  F_O = -O3 -fno-second-underscore -r8 -funroll-all-loops -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- g95  F_F = $(F_O)'-ffixed-form -ffixed-line-length-132
 echo '#-Q- g95  L_X = -r8 -O3'
 echo '#-Q- gfortran  # Compiler options for NEMO (gfortran version)'
 echo '#-Q- gfortran  F_O = -fno-second-underscore -fdefault-real-8 -funroll-all-loops -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- gfortran  F_F = $(F_O)-ffixed-form -ffixed-line-length-132'
 echo '#-Q- gfortran  L_X = -fdefault-real-8'
-echo '#-Q- aix  # Compiler options for NEMO (aix version)'
-echo '#-Q- aix  F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)' 
-echo '#-Q- aix  F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)' 
-echo '#-Q- aix  L_O = $(F_P) -q64 -O3'
-echo '#-Q- aix  L_X = $(L_O)'
-echo '#-Q- ax_mono    # Compiler options for NEMO (aix version)'
-echo '#-Q- ax_mono    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)' 
-echo '#-Q- ax_mono    F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)' 
-echo '#-Q- ax_mono   L_O = $(F_P) -q64 -O3'
-echo '#-Q- ax_mono   L_X = $(L_O)'
+echo '#-Q- aix6  # Compiler options for NEMO (aix6 version)'
+echo '#-Q- aix6  F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)' 
+echo '#-Q- aix6  L_O = $(F_P) -q64 -O3'
+echo '#-Q- aix6  L_X = $(L_O)'
+echo '#-Q- ax6_mono    # Compiler options for NEMO (aix6 version)'
+echo '#-Q- ax6_mono    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)' 
+echo '#-Q- ax6_mono   L_O = $(F_P) -q64 -O3'
+echo '#-Q- ax6_mono   L_X = $(L_O)'
 echo '#-Q- babel  # Compiler options for NEMO (blue gene version)'
 echo '#-Q- babel  F_O =  -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
-echo '#-Q- babel  F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)'
 echo '#-Q- babel  L_X = $(L_O)'
 echo '#-Q- osxxlf    # Compiler options for NEMO (osxxlf version)'
 echo '#-Q- osxxlf    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)' 
-echo '#-Q- osxxlf    F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODEL_LIB) -I $(NCDF_INC)' 
 echo '#-Q- osxxlf    L_X = -qrealsize=8 -O3'
-
 
 echo 'PREF='
@@ -332,5 +285,5 @@
 echo 'ifeq ($(COMP),memo)'
 echo '#-Q- sx8brodie  F_O := $(F_O) -P static'
-echo '#-Q- ax_mono    F_O := $(F_O) -qnosave'
+echo '#-Q- ax6_mono   F_O := $(F_O) -qnosave'
 echo '#-Q- osxxlf     F_O := $(F_O) -qnosave'
 echo 'endif'
@@ -379,15 +332,4 @@
 echo 'LIB_OBJ = \c'
 #
-# find all .f in the current directory
-# build object files list  LIB_OBJ
-# one dependancy by line
-
-for i in `ls *.f 2> /dev/null`
-do
-  bn=`basename $i .f`
-    echo "\\"
-    echo "		\$(MODEL_LIB)/$bn.o\c"
-done
-
 # find all .f90 in the current directory
 # build object files list  LIB_OBJ
@@ -423,15 +365,4 @@
   fi
 done
-
-# find all .F in the current directory
-# build object files list  LIB_OBJ
-# one dependancy by line
-
-for i in `ls *.F 2> /dev/null `
-do
-  bn=`basename $i .F`
-    echo "\\"
-    echo "		\$(MODEL_LIB)/$bn.o\c"
- done
 
 echo ""
@@ -618,18 +549,5 @@
 echo '	echo "   use OPA_SRC files"                ; \'
 echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/*.[Ffh]90          . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/DYN/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/TRA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/TRD/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/DIA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/DOM/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/OBC/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/BDY/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/FLO/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/LDF/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/ZDF/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/SOL/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/DTA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/SBC/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/IOM/*.[Ffh]90      . ; \'
+echo '	    ln -sf ../../../modeles/NEMO/OPA_SRC/*/*.[Ffh]90      . ; \'
 echo '  fi '
 echo '	@check=`grep LIM_SRC_2 .config`              ; \'
@@ -649,4 +567,7 @@
 echo '      \$(RM) agrif_opa_sponge.F90           ; \'
 echo '      \$(RM) agrif_opa_update.F90           ; \'
+echo '      \$(RM) agrif_top_interp.F90           ; \'
+echo '      \$(RM) agrif_top_sponge.F90           ; \'
+echo '      \$(RM) agrif_top_update.F90           ; \'
 echo '      ln -sf ../../../modeles/NEMO/NST_SRC/*.[Ffh]90      .     ; \'
 echo '  fi '
@@ -661,14 +582,7 @@
 echo '      \$(RM) trcstp.F90                      ; \'
 echo '      \$(RM) sms.F90                         ; \'
-echo '      \$(RM) initrc.F90                      ; \'
+echo '      \$(RM) trcini.F90                      ; \'
 echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/*.[Ffh]90          . ; \'
-echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/TRP/*.[Ffh]90      . ; \'
-echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/PISCES/*.[Ffh]90   . ; \'
-echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/LOBSTER/*.[Ffh]90  . ; \'
-echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/CFC/*.[Ffh]90      . ; \'
-echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/C14b/*.[Ffh]90     . ; \'
-echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/MY_TRC/*.[Ffh]90   . ; \'
-echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/SED/*.[Ffh]90      . ; \'
-echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/DUMMY/*.[Ffh]90    . ; \'
+echo '      ln -sf ../../../modeles/NEMO/TOP_SRC/*/*.[Ffh]90      . ; \'
 echo '  fi '
 echo '	@check=`grep OFF_SRC .config`              ; \'
